petsc-3.4.2 2013-07-02

# TSPreStage

Runs the user-defined pre-stage function set using TSSetPreStage()

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPreStage(TS ts, PetscReal stagetime)

Collective on TS

### Input Parameters

ts -The TS context obtained from TSCreate()

### Notes

TSPreStage() is typically used within time stepping implementations, most users would not generally call this routine themselves.

### Keywords

TS, timestep

### See Also

TSSetPreStep(), TSPreStep(), TSPostStep()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages